Unarchive Multiple Transactions

Unarchives multiple archived transactions identified by their transaction IDs and automatically changes each one's fundingStatus to Held. Transactions with a fundingStatus of Rejected at the time of archiving retain that status when unarchived. In both cases, onHold returns as true. For held transactions, release the holds when the transactions are ready to be eligible for funding.

Unarchiving removes each transaction's archive details (archivedDate, archivedBy, and archiveReason). Listed transactions that are not archived are skipped, and duplicate IDs are ignored. Providing a reason for unarchiving the transactions is not required.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The tenant identifier.

Body Params
transactionIds
array of int32s

The identification numbers of the transactions to archive or unarchive. Required when archiving or unarchiving multiple transactions. Ignored when archiving or unarchiving a single transaction, which is identified in the path. Duplicate IDs are ignored.

transactionIds
string
length ≤ 1024

The reason for archiving, up to 1,024 characters. Required when archiving and ignored when unarchiving. The reason is returned as archiveReason on each archived transaction.

Headers
string
required

The API key id used to authenticate and authorize your request to Infinicept. API keys are managed within your Backoffice tenant.

string
required

The API key value used to authenticate and authorize your request to Infinicept. API keys are managed within your Backoffice tenant.

string

Identifies the user or system initiating this unarchive action. Recorded as initiatedBy on the Event Center work item. Defaults to "API User" when omitted.

string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

400

The request was rejected and no transactions were unarchived. This occurs when the request body is missing, no transaction IDs are provided, a transaction ID does not exist, or none of the listed transactions are archived. The response body describes the problem and lists any transaction IDs that do not exist.

404

The specified tenant was not found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json